%define	upstream_name	 HTTP-Body
%define upstream_version 1.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    HTTP Body Parser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Temp) >= 0.140.0
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(IO::File) >= 1.140.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.860.0
BuildArch:  noarch

%description
Perl module to parse HTTP request bodies.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%{makeinstall_std}

%files 
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorlib}/HTTP/Body/*
%{perl_vendorlib}/HTTP/Body.pm
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.170.0-2.mga3
+ Revision: 368256
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 04 2012 jquelin <jquelin> 1.170.0-1.mga3
+ Revision: 302778
- update to 1.17

* Thu Dec 08 2011 kharec <kharec> 1.150.0-1.mga2
+ Revision: 179191
- update to 1.15

* Tue Nov 08 2011 jquelin <jquelin> 1.140.0-1.mga2
+ Revision: 165445
- remove MYMETA from %%doc
- update to 1.14

* Thu Mar 24 2011 jquelin <jquelin> 1.120.0-1.mga1
+ Revision: 76639
- update to 1.12

* Thu Jan 20 2011 jquelin <jquelin> 1.110.0-1.mga1
+ Revision: 26355
- mageia rebuild
- imported package perl-HTTP-Body

